# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_DataMapNodeOfDataMapOfStyleTransient Class Reference

`#include <XCAFPrs_DataMapNodeOfDataMapOfStyleTransient.hxx>`

## Public Member Functions

| XCAFPrs_DataMapNodeOfDataMapOfStyleTransient (const XCAFPrs_Style &K, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n)
XCAFPrs_Style & | Key () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

XCAFPrs_Style | myKey
Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

XCAFPrs_DataMapNodeOfDataMapOfStyleTransient::XCAFPrs_DataMapNodeOfDataMapOfStyleTransient | ( | const XCAFPrs_Style & | K,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const XCAFPrs_DataMapNodeOfDataMapOfStyleTransient::Handle | ( | Standard_Type |  | ) | const

XCAFPrs_Style& XCAFPrs_DataMapNodeOfDataMapOfStyleTransient::Key | ( |  | ) | const

Handle_Standard_Transient& XCAFPrs_DataMapNodeOfDataMapOfStyleTransient::Value | ( |  | ) | const

## Field Documentation

XCAFPrs_Style XCAFPrs_DataMapNodeOfDataMapOfStyleTransient::myKey `[private]`

Handle_Standard_Transient XCAFPrs_DataMapNodeOfDataMapOfStyleTransient::myValue `[private]`

The documentation for this class was generated from the following file:

- XCAFPrs_DataMapNodeOfDataMapOfStyleTransient.hxx